0

I'm trying to use a PDP Xbox One pad on ubuntu 14.04. My kernel version is 3.13 and I've red that Xbox One pads are handled only since version 3.17. I've tried to rebuild the kernel changing only the file xpad.c without success (I also tried to install a new kernel version but then my computer doesn't boot anymore...).

I tried to use xboxdrv adding my pad into xpad_device.cpp (and rebuilding xboxdrv) as suggested here

It's still not working and when I launch xboxdrv i get the following result

Controller: Logic 3

Vendor/Product: 0e6f:0162

USB Path: 001:007

Controller Type: Xbox360

-- [ ERROR ] ------------------------------------------------------ USController::usb_find_ep(): couldn't find matching endpoint

I've red many threads about related issues but I'm lost. If someone could point me in the right direction to understand what is going on I'll be more than happy.

Thanks.

  • I think you need to install linux-generic-lts-xenial perhaps, to get kernel 4.4. However, if you are required to use fglrx for graphics drivers, you won't be able to use the new kernel in combination with fglrx. – dobey Oct 1 '17 at 19:09
  • Hi, thanks for the comment, I'll try that. How do I know if I need those drivers? My graphics card is Intel Cherryview, if I correctly red the wikipedia page i'm safe since it is not AMD? – victolunik Oct 1 '17 at 19:24
  • I've tried that but I'm still stuck with the exact same problem (however I have a brand new kernel :-)) – victolunik Oct 1 '17 at 20:46
  • If you're on Intel graphics, then no, you don't need to worry about the AMD situation. Even though the 4.4 (3.17+) kernel might support XBox One controllers, it doesn't necessarily mean that 3rd party controllers will work. – dobey Oct 2 '17 at 1:33

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.